clear;

Ne = 10;
sym_array = [0.7+i*0.7 -0.7+i*0.7 -0.7-i*0.7 0.7-i*0.7];
Ns = 50;

%% Generate message
message = floor(rand(1, Ns) * length(sym_array)+1);
%% Replace symbol with complex value
cm = sym_array(message);

sym_filter = [0.7+i*0.7 0.7+i*0.7 0.7+i*0.7 0.7+i*0.7];

%% Generate the corresponding symbol pulses
%% this will be convoluted by the sym filter
signal = zeros(1, Ne*Ns);
signal(1:Ne:end) = cm;

for i = 1:Ns*Ne



end
